# curs_in_wch 3x 2024-04-20 ncurses 6.4 Library calls

    curs_in_wch(3x)                  Library calls                 curs_in_wch(3x)

## NAME

           in_wch,  mvin_wch,  mvwin_wch, win_wch - get a curses complex character
           from a window

## SYNOPSIS

           #include <curses.h>

           int in_wch(cchar_t *wch);
           int win_wch(WINDOW *win, cchar_t *wch);

           int mvin_wch(int y, int x, cchar_t *wch);
           int mvwin_wch(WINDOW *win, int y, int x, cchar_t *wch);

## DESCRIPTION

           These functions extract the complex character and  rendition  from  the
           current position in the named window into the cchar_t object referenced
           by wch.

## RETURN VALUE

           No errors are defined in X/Open Curses.  This implementation checks for
           null  pointers,  returns ERR in that case.  Also, the mv routines check
           for error moving the cursor, returning ERR  in  that  case.   Otherwise
           they return OK.

           Functions  prefixed with "mv" first perform cursor movement and fail if
           the position (y, x) is outside the window boundaries.

## NOTES

           Note that all of these routines may be macros.

## PORTABILITY

           These functions are described in X/Open Curses, Issue 4.

## SEE ALSO

           curs_inch(3x) describes comparable functions of the ncurses library  in
           its non-wide-character configuration.

           curses(3x), curs_inwstr(3x)

    ncurses 6.4                       2024-04-20                   curs_in_wch(3x)